Microsoft Dynamics 10 on Metaframe 1.8

Ready to shoot myself. We are upgrading Dynamics to ver 10. We have our branch office running across WAN to Metaframe 1.8 (Windows 2000 server) on our current ver 9.  It is barely adequate but works for 15 concurrent users in data entry mode.  Anyone know if ver 10 will run on this setup? I want to upgrade to Server 2003 terminal server and rdp....but boss is highly cost conscious. thanks all
Who is Participating?
TristanConnect With a Mentor IT ManagerCommented:
Just tell him it won't and squeeze the upgrade out of him :-P

But seriously Metaframe 1.8 is pretty old.

They don't event call it Citrix Presentation Server anymore it's Xenapp.

This sounds like a great oppurtunity to put in a solid case for a new server upgraded to the latest software.

Tell him all about the benefits of Citrix Xenapp in a branch office environment.
Victoria YudinConnect With a Mentor Owner / Dynamics GP ConsultantCommented:
GP 10.0 is not supported on Server 2000, it might work, but that's a big risk to take.  The earliest supported Server OS is 2003 SP 2 or 2003 R2 SP 2.  In addition, in my experience GP 10 requires more, oh let's call it 'oomph', than GP 9.0.  If it barely runs for GP 9.0, it's really going to dog with GP 10.0. If upgrading the server is an issue, stay on GP 9.0.
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.